## org.jfree.data.xy
Class VectorSeries

    java.lang.Object
      org.jfree.data.general.Series
          org.jfree.data.ComparableObjectSeries
              org.jfree.data.xy.VectorSeries

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class VectorSeries

extends ComparableObjectSeries

A list of (x,y, deltaX, deltaY) data items.

Since:
  1.0.6
See Also:
  `VectorSeriesCollection`, Serialized Form

Field Summary

Fields inherited from class org.jfree.data.ComparableObjectSeries
`data`

Constructor Summary
`VectorSeries(java.lang.Comparable key)` Creates a new empty series.
`VectorSeries(java.lang.Comparable key, boolean autoSort, boolean allowDuplicateXValues)` Constructs a new series that contains no data.

Method Summary
`void` `add(double x, double y, double deltaX, double deltaY)` Adds a data item to the series.
`ComparableObjectItem` `getDataItem(int index)` Returns the data item at the specified index.
`double` `getVectorXValue(int index)` Returns the x-component of the vector for an item in the series.
`double` `getVectorYValue(int index)` Returns the y-component of the vector for an item in the series.
`double` `getXValue(int index)` Returns the x-value for the specified item.
`double` `getYValue(int index)` Returns the y-value for the specified item.
`ComparableObjectItem` `remove(int index)` Removes the item at the specified index and sends a `SeriesChangeEvent` to all registered listeners.

Methods inherited from class org.jfree.data.ComparableObjectSeries
`add, add, add, clear, delete, equals, getAllowDuplicateXValues, getAutoSort, getItemCount, getMaximumItemCount, hashCode, indexOf, remove, setMaximumItemCount, update, updateByIndex`

Methods inherited from class org.jfree.data.general.Series
`addChangeListener, addPropertyChangeListener, clone, firePropertyChange, fireSeriesChanged, getDescription, getKey, getNotify, isEmpty, notifyListeners, removeChangeListener, removePropertyChangeListener, setDescription, setKey, setNotify`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VectorSeries

    public VectorSeries(java.lang.Comparable key)

  Creates a new empty series.

  Parameters:
    `key` - the series key (`null` not permitted).

### VectorSeries

    public VectorSeries(java.lang.Comparable key,
                        boolean autoSort,
                        boolean allowDuplicateXValues)

  Constructs a new series that contains no data. You can specify whether or not duplicate x-values are allowed for the series.

  Parameters:
    `key` - the series key (`null` not permitted).
    `autoSort` - a flag that controls whether or not the items in the series are sorted.
    `allowDuplicateXValues` - a flag that controls whether duplicate x-values are allowed.

Method Detail

### add

    public void add(double x,
                    double y,
                    double deltaX,
                    double deltaY)

  Adds a data item to the series.

  Parameters:
    `x` - the x-value.
    `y` - the y-value.
    `deltaX` - the vector x.
    `deltaY` - the vector y.

### remove

    public ComparableObjectItem remove(int index)

  Removes the item at the specified index and sends a `SeriesChangeEvent` to all registered listeners.

  Overrides:
    `remove` in class `ComparableObjectSeries`
  Parameters:
    `index` - the index.
  Returns:
    The item removed.

### getXValue

    public double getXValue(int index)

  Returns the x-value for the specified item.

  Parameters:
    `index` - the item index.
  Returns:
    The x-value.

### getYValue

    public double getYValue(int index)

  Returns the y-value for the specified item.

  Parameters:
    `index` - the item index.
  Returns:
    The y-value.

### getVectorXValue

    public double getVectorXValue(int index)

  Returns the x-component of the vector for an item in the series.

  Parameters:
    `index` - the item index.
  Returns:
    The x-component of the vector.

### getVectorYValue

    public double getVectorYValue(int index)

  Returns the y-component of the vector for an item in the series.

  Parameters:
    `index` - the item index.
  Returns:
    The y-component of the vector.

### getDataItem

    public ComparableObjectItem getDataItem(int index)

  Returns the data item at the specified index.

  Overrides:
    `getDataItem` in class `ComparableObjectSeries`
  Parameters:
    `index` - the item index.
  Returns:
    The data item.